<?php
/*
  Plugin Name: Tickera - Custom Additional Fee
  Plugin URI: http://tickera.com/
  Description: Adds additional fee
  Author: Tickera.com
  Author URI: http://tickera.com/
  Version: 1.0
  TextDomain: tc
  Domain Path: /languages/

  Copyright 2017 Tickera (http://tickera.com/)
 */

if (!defined('ABSPATH'))
    exit; // Exit if accessed directly

function tc_custom_get_fee_title() {
    return 'Shipping Fee'; //set the fee label
}

function tc_get_custom_fee() {
    return 1.80; //set the fee value
}

add_action('tc_cart_col_value_before_total_price_total', 'tc_cart_col_value_before_total_price_total_1', 100, 1);

function tc_cart_col_value_before_total_price_total_1($total) {
    global $tc, $fees_shipping_fee, $fees_total_1, $original_total;

    $original_total = $total;

    $tc_general_settings = get_option('tc_general_setting', false);

    $fees_label_1 = tc_custom_get_fee_title();
    $fees_shipping_fee = tc_get_custom_fee();

    if (!isset($tc_general_settings['show_fees']) || (isset($tc_general_settings['show_fees']) && $tc_general_settings['show_fees'] == 'yes')) {
        ?>
        <span class="total_item_title"><?php echo $fees_label_1; ?>:</span><span class="total_item_amount"><?php echo apply_filters('tc_cart_currency_and_format', $fees_shipping_fee); ?></span>
        <?php
    }
}

add_filter('tc_cart_total', 'tc_cart_total_with_fees_x', 100, 1);
add_filter('tc_discounted_total', 'tc_cart_total_with_fees_x', 100, 1);

function tc_cart_total_with_fees_x($total) {
    $total = $total + tc_get_custom_fee();
    return $total;
    

}

add_filter('tc_compare_total_needed', '__return_false');

?>